This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 565270 - paraview - Violation of packaging guidelines: MPI
paraview - Violation of packaging guidelines: MPI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-14 03:58 EST by Susi Lehtola
Modified: 2010-03-10 01:50 EST (History)
2 users (show)

See Also:
Fixed In Version: paraview-3.6.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-10 01:50:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2010-02-14 03:58:34 EST
Paraview contains MPI enabled stuff, but the package does not comply to the
MPI packaging guidelines
 http://fedoraproject.org/wiki/PackagingDrafts/MPI
that were approved by FESCo in August

http://meetbot.fedoraproject.org/fedora-meeting/2009-08-14/fedora-meeting.2009-08-14-17.01.html

Please adjust the package naming and add support for other compilers.
Comment 1 Orion Poplawski 2010-02-16 18:51:12 EST
Please take a look at 3.6.2-2 in development.  I think this addresses most issues.
Comment 2 Susi Lehtola 2010-02-17 08:03:37 EST
Move the binaries into %{_libdir}/openmpi/bin and %{_libdir}/mpich2/bin as instructed in the guideline. The libraries should go in %{_libdir}/openmpi/lib and 
%{_libdir}/mpich2/lib.

I wouldn't make the mpich2 package provide and obsolete the old -mpi package, that's already in -openmpi.

And I'd recommend using the wrappers CC=mpicc, CXX=mpicxx.
Comment 3 Orion Poplawski 2010-02-19 10:35:05 EST
Okay, fixed in paraview-3.6.2-3.fc13/14.  I do use the wrappers via:

        -DMPI_COMPILER:FILEPATH=%{_libdir}/openmpi/bin/mpicxx
Comment 4 Fedora Update System 2010-02-19 12:58:30 EST
paraview-3.6.2-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/paraview-3.6.2-3.fc13
Comment 5 Fedora Update System 2010-02-19 22:49:16 EST
paraview-3.6.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update paraview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1716
Comment 6 Fedora Update System 2010-03-10 01:50:17 EST
paraview-3.6.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.